package models

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ TaskAiAsynchronousModel = (*customTaskAiAsynchronousModel)(nil)

type (
	// TaskAiAsynchronousModel is an interface to be customized, add more methods here,
	// and implement the added methods in customTaskAiAsynchronousModel.
	TaskAiAsynchronousModel interface {
		taskAiAsynchronousModel
		withSession(session sqlx.Session) TaskAiAsynchronousModel
	}

	customTaskAiAsynchronousModel struct {
		*defaultTaskAiAsynchronousModel
	}
)

// NewTaskAiAsynchronousModel returns a model for the database table.
func NewTaskAiAsynchronousModel(conn sqlx.SqlConn) TaskAiAsynchronousModel {
	return &customTaskAiAsynchronousModel{
		defaultTaskAiAsynchronousModel: newTaskAiAsynchronousModel(conn),
	}
}

func (m *customTaskAiAsynchronousModel) withSession(session sqlx.Session) TaskAiAsynchronousModel {
	return NewTaskAiAsynchronousModel(sqlx.NewSqlConnFromSession(session))
}
